$blockItemSize: 245px;
$blockItemDescriptionHeight: 70px;
$blockMainColor: #cbcfd8;

.block-item-container {
    width: $blockItemSize;
    height: $blockItemSize;
    position: relative;
    cursor: pointer;
    border-right: 1px solid $blockMainColor;

    .block-item-container-icon {
        width: 100%;
        height: calc(#{$blockItemSize} - #{$blockItemDescriptionHeight});
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        background: linear-gradient(to top,#ecedf1, white);

        img {
            width: 100%;
            height: 100%;
        }

        &.block-item-container-default-add-icon{
            img {
                width: 80%;
                height: 80%;
            }
        }
    }

    .block-item-video-preview {
        width: 100% !important;
        height: 100% !important;
    }

    .block-item-container-name {
        cursor: pointer;
        overflow: hidden;
        text-overflow: ellipsis;
        width: 100%;
    }
    
    .block-item-container-description {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: center;
        padding: 10px 20px;

        .item-title {
          font-family: $Rubik-Font;
          font-weight: 500;
          font-size: 16px;
          color: #434A54;
          line-height: 17px;
          margin: 0px;
          width: 100%;
          height: 100%;
          white-space: pre-wrap;
          overflow: hidden;
          text-overflow: ellipsis;
        }
        .item-description {
          font-family: $Rubik-Font;
          font-weight: 400;
          font-size: 14px;
          color: rgba(67,74,84,0.80);
          line-height: 15px;
          display: block;
          overflow: hidden;
          white-space: nowrap;
          text-overflow: ellipsis;
          width: calc(100% - 35px);
          padding: 5px 5px 5px 0px;
        }
    }
}
